Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ContentQuota

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_ApplicationObject

                                    |

                                    +--oracle.ifs.server.S_TieApplicationObject

                                          |

                                          +--oracle.ifs.server.S_ContentQuota

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieContentQuota

public class S_ContentQuota
extends S_TieApplicationObject

A ContentQuota contains information that defines how much storage space in iFS is allocated and consumed by the DirectoryUser. For quota enforcement, the ContentQuota object must be enabled.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`protected void` | `calculateConsumedStorage()` Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.
`protected long` | `getAllocatedStorage()` Gets the amount of allocated storage.
`protected long` | `getConsumedStorage()` Gets the amount of consumed storage.
`protected S_DirectoryUser` | `getDirectoryUser()` Gets the DirectoryUser for this object.
`protected boolean` | `isEnabled()` Determines whether this ContentQuota is enabled.

Methods inherited from class oracle.ifs.server.S_ApplicationObject
`isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreFree, extendedPreInsert, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getDirectoryUser

    protected S_DirectoryUser getDirectoryUser()
                                        throws IfsException

  Gets the DirectoryUser for this object.
  Returns:
    the DirectoryUser object with which this ContentQuota object is associated.
  Throws:
    `if` - operation fails

### isEnabled

    protected boolean isEnabled()
                         throws IfsException

  Determines whether this ContentQuota is enabled.
  Returns:
    true if enabled
  Throws:
    `if` - operation fails

### getAllocatedStorage

    protected long getAllocatedStorage()
                                throws IfsException

  Gets the amount of allocated storage. Returns 0 if no storage value is set.
  Returns:
    allocated storage (in bytes)
  Throws:
    `IfsException` - if operation fails.

### getConsumedStorage

    protected long getConsumedStorage()
                               throws IfsException

  Gets the amount of consumed storage. Returns 0 if no storage value is set.
  Returns:
    consumed storage (in bytes)
  Throws:
    `IfsException` - if operation fails.

### calculateConsumedStorage

    protected void calculateConsumedStorage()
                                     throws IfsException

  Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD